diff --git a/ldap/servers/slapd/csngen.c b/ldap/servers/slapd/csngen.c
index 5214c45..192d982 100644
--- a/ldap/servers/slapd/csngen.c
+++ b/ldap/servers/slapd/csngen.c
@@ -742,18 +742,7 @@ _csngen_adjust_local_time (CSNGen *gen, time_t cur_time)
  * test code
  * **************************************************************************
  */
-
-/* 
- * The defult thread stacksize for nspr21 is 64k. For OSF, we require
- * a larger stacksize as actual storage allocation is higher i.e
- * pointers are allocated 8 bytes but lower 4 bytes are used.
- * The value 0 means use the default stacksize.
- */
-#if defined (OSF1) || defined(__LP64__) || defined (_LP64) /* 64-bit architectures need large stacks */
-#define DEFAULT_THREAD_STACKSIZE 	131072L
-#else
 #define DEFAULT_THREAD_STACKSIZE 	0
-#endif
 
 #define GEN_TREAD_COUNT	20
 int s_thread_count;
diff --git a/ldap/servers/slapd/daemon.c b/ldap/servers/slapd/daemon.c
index 820921c..5fa6893 100644
--- a/ldap/servers/slapd/daemon.c
+++ b/ldap/servers/slapd/daemon.c
@@ -58,13 +58,6 @@
 #endif
 #include <time.h>
 #include <signal.h>
-#if defined(IRIX6_2) || defined(IRIX6_3)
-#include <sys/param.h>
-#endif
-#if defined(_AIX)
-#include <sys/select.h>
-#include <sys/param.h>
-#endif
 #include <fcntl.h>
 #define TCPLEN_T	int
 #ifdef NEED_FILIO
@@ -3245,21 +3238,15 @@ catch_signals()
 static int
 get_configured_connection_table_size()
 {
-	int size;
-	size = config_get_conntablesize();
-
-/*
- * Cap the table size at nsslapd-maxdescriptors.
- */
-#if !defined(_WIN32) && !defined(AIX)
-	{
-		int maxdesc = config_get_maxdescriptors();
+	int size = config_get_conntablesize();
+	int maxdesc = config_get_maxdescriptors();
 
-		if ( maxdesc >= 0 && size > maxdesc ) {
-			size = maxdesc;
-		}
+	/*
+	 * Cap the table size at nsslapd-maxdescriptors.
+	 */
+	if ( maxdesc >= 0 && size > maxdesc ) {
+		size = maxdesc;
 	}
-#endif
 
 	return size;
 }
diff --git a/ldap/servers/slapd/detach.c b/ldap/servers/slapd/detach.c
index 3516c65..87b7e78 100644
--- a/ldap/servers/slapd/detach.c
+++ b/ldap/servers/slapd/detach.c
@@ -77,16 +77,13 @@ int
 detach( int slapd_exemode, int importexport_encrypt,
         int s_port, daemon_ports_t *ports_info )
 {
-#ifndef _WIN32
 	int		i, sd;
 	char *workingdir = 0;
 	char *errorlog = 0;
 	char *ptr = 0;
 	char errorbuf[BUFSIZ];
 	extern char *config_get_errorlog(void);
-#endif
 
-#ifndef _WIN32
 	if ( should_detach ) {
 		for ( i = 0; i < 5; i++ ) {
 #if defined( sunos5 )
@@ -163,12 +160,9 @@ detach( int slapd_exemode, int importexport_encrypt,
 	}
 
 	(void) SIGNAL( SIGPIPE, SIG_IGN );
-#endif /* _WIN32 */
 	return 0;
 }
 
-
-#ifndef _WIN32
 /*
  * close all open files except stdin/out/err
  */
@@ -187,16 +181,9 @@ close_all_files()
 		close( i );
 	}
 }
-#endif	/* !_WIN32 */
-
-/*
- * There is no need to do anything on some platforms (NT) and not try to
- * raise fds on AIX.
- */
 
 static void raise_process_fd_limits(void)
 {
-#if !defined(_WIN32) && !defined(AIX)
 	struct rlimit	rl, setrl;
 	RLIM_TYPE	curlim;
 	slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
@@ -247,7 +234,6 @@ static void raise_process_fd_limits(void)
 	(void)getrlimit( RLIMIT_NOFILE, &rl );
 	LDAPDebug( LDAP_DEBUG_TRACE, "descriptor limit changed from %d to %d\n",
 	    curlim, rl.rlim_cur, 0 );
-#endif /* !_WIN32 && !AIX */
 }
 
 /*
@@ -256,7 +242,6 @@ static void raise_process_fd_limits(void)
 void
 raise_process_limits()
 {
-#if !defined(_WIN32) 
 	struct rlimit	rl;
 
 	raise_process_fd_limits();
@@ -286,7 +271,5 @@ raise_process_limits()
 		      errno,0,0);
 	}
 #endif /* RLIMIT_VMEM */
-
-#endif /* !_WIN32 */
 }
 
diff --git a/ldap/servers/slapd/fe.h b/ldap/servers/slapd/fe.h
index ae67491..0595a2a 100644
--- a/ldap/servers/slapd/fe.h
+++ b/ldap/servers/slapd/fe.h
@@ -66,15 +66,6 @@ extern PRLock *time_func_mutex;
 extern PRLock *currenttime_mutex;
 extern time_t starttime;
 extern char	*configfile;
-#if defined( _WIN32 )
-extern LPTSTR pszServerName;
-#endif
-#if defined( _WIN32 )
-/* String constants (no change for international) */
-extern HANDLE hSlapdEventSource;
-extern SERVICE_STATUS LDAPServerStatus;
-extern SERVICE_STATUS_HANDLE hLDAPServerServiceStatus;
-#endif
 
 /*
  * auth.c
@@ -92,15 +83,6 @@ void op_thread_cleanup();
 void connection_post_shutdown_cleanup();
 
 /*
- * ntuserpin.c - Prompts for the key database passphrase.
- */
-#include "svrcore.h"
-typedef struct SVRCORENTUserPinObj SVRCORENTUserPinObj;
-SVRCOREError SVRCORE_CreateNTUserPinObj(SVRCORENTUserPinObj **out);
-void SVRCORE_SetNTUserPinInteractive(SVRCORENTUserPinObj *obj, PRBool interactive);
-void SVRCORE_DestroyNTUserPinObj(SVRCORENTUserPinObj *obj);
-
-/*
  * connection.c
  */
 void connection_abandon_operations( Connection *conn );
@@ -135,12 +117,10 @@ struct connection_table
 	int n_tcpe;     /* standard socket last ( +1 ) index in fd */
 	int s_tcps;     /* ssl socket start index in fd */
 	int s_tcpe;     /* ssl socket last ( +1 ) in fd */
-#ifndef XP_WIN32
 #if defined(ENABLE_LDAPI)
 	int i_unixs;    /* unix socket start index in fd */
 	int i_unixe;    /* unix socket last ( +1 ) in fd */
 #endif /* ENABLE_LDAPI */
-#endif
 	PRLock *table_mutex;
 };
 typedef struct connection_table Connection_Table;
@@ -159,12 +139,6 @@ Connection* connection_table_get_first_active_connection (Connection_Table *ct);
 Connection* connection_table_get_next_active_connection (Connection_Table *ct, Connection *c);
 typedef int (*Connection_Table_Iterate_Function)(Connection *c, void *arg);
 int connection_table_iterate_active_connections(Connection_Table *ct, void* arg, Connection_Table_Iterate_Function f);
-#if defined( _WIN32 )
-Connection* connection_table_get_connection_from_fd(Connection_Table *ct,PRFileDesc *prfd);
-#endif
-#if 0
-void connection_table_dump(Connection_Table *ct);
-#endif
 
 /*
  * daemon.c
diff --git a/ldap/servers/slapd/globals.c b/ldap/servers/slapd/globals.c
index e28362f..02ca373 100644
--- a/ldap/servers/slapd/globals.c
+++ b/ldap/servers/slapd/globals.c
@@ -67,13 +67,6 @@
 #include "slap.h"
 #include "fe.h"
 
-/* On UNIX, there's only one copy of slapd_ldap_debug */
-/* On NT, each module keeps its own module_ldap_debug, which */
-/* points to the process' slapd_ldap_debug */
-#ifdef _WIN32
-int		*module_ldap_debug;
-#endif
-
 int		should_detach = 1;
 time_t		starttime;
 PRThread	*listener_tid;
@@ -87,61 +80,12 @@ Slapi_Counter	*ops_completed;
 Slapi_Counter	*num_conns;
 Slapi_Counter	*max_threads_count;
 Slapi_Counter	*conns_in_maxthreads;
-
-/*
-  DEC/COMPAQ has released a patch for 4.0d (e?) which will speed up
-  malloc/free considerably in multithreaded multiprocessor
-  applications (like directory server!), sort of like SmartHeap but
-  not as snazzy.  The last three parameters only take effect if the
-  patch is installed, otherwise they are ignored.  The rest of the
-  parameters are included along with their default values, but they
-  are commented out except:
-  unsigned long __noshrink = 1; old - default is 0; apparently this is ignored for now
-  int __fast_free_max = INT_MAX; old - default is 13; may cause excessive memory consumption
-*/
-#if defined(OSF1) && defined(LDAP_DONT_USE_SMARTHEAP)
-/* From an email from Dave Long at DEC/Compaq:
-
-   The following is an example of how to tune for maximum speed on a
-   system with three or more CPUs and with no concern for memory used:
-   
-   #include <limits.h>
-   #include <sys/types.h>
-*/
-unsigned long __noshrink = 1; /* old - default is 0; apparently this is ignored for now */
-/*
-  size_t __minshrink = 65536;
-  double __minshrinkfactor = 0.001;
-  size_t __mingrow = 65536;
-  double __mingrowfactor = 0.1;
-  unsigned long __madvisor = 0;
-  unsigned long __small_buff = 0;
-*/
-int __fast_free_max = INT_MAX; /* old - default is 13; may cause excessive memory consumption */
-/*
-  unsigned long __sbrk_override = 0;
-  unsigned long __taso_mode = 0;
-*/
-
-/*
-  These are the new parameters
-*/
-int __max_cache = 27;
-int __first_fit = 2;
-int __delayed_free = 1;
-/*
-  Note that the allowed values for the new __max_cache tuning variable
-  are: 15, 18, 21, 24, 27. Any other value is likely to actually harm
-  performance or even cause a core dump.
-*/
-#endif
-
 Connection_Table *the_connection_table = NULL;
 
 char *pid_file = "/dev/null";
 char *start_pid_file = "/dev/null";
 
-char	*attr_dataversion	= ATTR_DATAVERSION;
+char *attr_dataversion = ATTR_DATAVERSION;
 
 extern void set_dll_entry_points( slapdEntryPoints *sep );
 void
diff --git a/ldap/servers/slapd/libglobs.c b/ldap/servers/slapd/libglobs.c
index 2499c57..e65d343 100644
--- a/ldap/servers/slapd/libglobs.c
+++ b/ldap/servers/slapd/libglobs.c
@@ -364,12 +364,10 @@ static struct config_get_and_set {
 		log_set_expirationtime, SLAPD_ACCESS_LOG,
 		(void**)&global_slapdFrontendConfig.accesslog_exptime,
 		CONFIG_INT, NULL, DEFAULT_LOG_EXPTIME},
-#ifndef _WIN32
 	{CONFIG_LOCALUSER_ATTRIBUTE, config_set_localuser,
 		NULL, 0,
 		(void**)&global_slapdFrontendConfig.localuser,
 		CONFIG_STRING, NULL, NULL/* deletion is not allowed */},
-#endif
 	{CONFIG_ERRORLOG_LOGROTATIONSYNCENABLED_ATTRIBUTE, NULL,
 		log_set_rotationsync_enabled, SLAPD_ERROR_LOG,
 		(void**)&global_slapdFrontendConfig.errorlog_rotationsync_enabled,
@@ -865,12 +863,10 @@ static struct config_get_and_set {
 		NULL, 0,
 		(void**)&global_slapdFrontendConfig.refer_url,
 		CONFIG_STRING, NULL, NULL/* deletion is not allowed */},
-#if !defined(AIX)
 	{CONFIG_MAXDESCRIPTORS_ATTRIBUTE, config_set_maxdescriptors,
 		NULL, 0,
 		(void**)&global_slapdFrontendConfig.maxdescriptors,
 		CONFIG_INT, NULL, DEFAULT_MAXDESCRIPTORS},
-#endif
 	{CONFIG_CONNTABLESIZE_ATTRIBUTE, config_set_conntablesize,
 		NULL, 0,
 		(void**)&global_slapdFrontendConfig.conntablesize,
@@ -3667,7 +3663,6 @@ int config_set_storagescheme() {
 
 }
 
-#ifndef _WIN32
 int 
 config_set_localuser( const char *attrname, char *value, char *errorbuf, int apply ) {
   int retVal =  LDAP_SUCCESS;
@@ -3697,7 +3692,6 @@ config_set_localuser( const char *attrname, char *value, char *errorbuf, int app
   return retVal;
 
 }
-#endif /* _WIN32 */
 
 int
 config_set_workingdir( const char *attrname, char *value, char *errorbuf, int apply ) {
@@ -3809,7 +3803,6 @@ config_set_maxthreadsperconn( const char *attrname, char *value, char *errorbuf,
   return retVal;
 }
 
-#if !defined(_WIN32) && !defined(AIX)
 #include <sys/resource.h>
 int
 config_set_maxdescriptors( const char *attrname, char *value, char *errorbuf, int apply ) {
@@ -3852,7 +3845,6 @@ config_set_maxdescriptors( const char *attrname, char *value, char *errorbuf, in
   return retVal;
 
 }
-#endif /* !_WIN32 && !AIX */
 
 int
 config_set_conntablesize( const char *attrname, char *value, char *errorbuf, int apply ) {
@@ -3860,25 +3852,19 @@ config_set_conntablesize( const char *attrname, char *value, char *errorbuf, int
   long nValue = 0;
   int maxVal = 65535;
   char *endp = NULL;
-#ifndef _WIN32
   struct rlimit rlp;
-#endif
   slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
 	
   if ( config_value_is_null( attrname, value, errorbuf, 0 )) {
 	return LDAP_OPERATIONS_ERROR;
   }
 
-#ifndef _WIN32
   if ( 0 == getrlimit( RLIMIT_NOFILE, &rlp ) ) {
           maxVal = (int)rlp.rlim_max;
   }
-#endif
 
   errno = 0;
   nValue = strtol(value, &endp, 0);
-  
-#if !defined(AIX)
 
   if ( *endp != '\0' || errno == ERANGE || nValue < 1 || nValue > maxVal ) {
 	PR_snprintf ( errorbuf, SLAPI_DSE_RETURNTEXT_SIZE, "%s: invalid value \"%s\", connection table "
@@ -3891,7 +3877,6 @@ config_set_conntablesize( const char *attrname, char *value, char *errorbuf, int
             retVal = LDAP_OPERATIONS_ERROR;
         }
   }
-#endif
   
   if (apply) {
 	CFG_LOCK_WRITE(slapdFrontendConfig);
@@ -3968,15 +3953,6 @@ config_set_ioblocktimeout( const char *attrname, char *value, char *errorbuf, in
         return retVal;
   }
 
-#if defined(IRIX)
-  /* on IRIX poll can only handle timeouts up to
-	 2147483 without failing, cap it at 30 minutes */
-
-  if ( nValue >  SLAPD_DEFAULT_IOBLOCK_TIMEOUT ) {
-	nValue = SLAPD_DEFAULT_IOBLOCK_TIMEOUT;
-  }
-#endif /* IRIX */
-
   if ( apply ) {
 #ifdef ATOMIC_GETSET_IOBLOCKTIMEOUT
     PR_AtomicSet(&slapdFrontendConfig->ioblocktimeout, (PRInt32)nValue);
@@ -5345,8 +5321,6 @@ config_get_rootpwstoragescheme() {
   return retVal; 
 }
 
-#ifndef _WIN32
-
 char *
 config_get_localuser() {
   slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
@@ -5359,7 +5333,6 @@ config_get_localuser() {
   return retVal; 
 }
 
-#endif /* _WIN32 */
 /* alias of encryption key and certificate files is now retrieved through */
 /* calls to psetFullCreate() and psetGetAttrSingleValue(). See ssl.c, */
 /* where this function is still used to set the global variable */
@@ -5401,7 +5374,6 @@ config_get_maxthreadsperconn(){
   return retVal; 
 }
 
-#if !defined(_WIN32) && !defined(AIX)
 int
 config_get_maxdescriptors() {
   slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
@@ -5413,8 +5385,6 @@ config_get_maxdescriptors() {
   return retVal; 
 }
 
-#endif /* !_WIN32 && !AIX */
-
 int
 config_get_reservedescriptors(){
   slapdFrontendConfig_t *slapdFrontendConfig = getFrontendConfig();
diff --git a/ldap/servers/slapd/libmakefile b/ldap/servers/slapd/libmakefile
index 659165e..7e7e04f 100644
--- a/ldap/servers/slapd/libmakefile
+++ b/ldap/servers/slapd/libmakefile
@@ -80,46 +80,13 @@ LIBSLAPD_OBJS=plugin_role.o getfilelist.o libglobs.o log.o ch_malloc.o entry.o p
 	dse.o errormap.o computed.o match.o fileio.o \
 	generation.o localhost.o ssl.o factory.o auditlog.o \
 	lenstr.o eventq.o uuid.o uniqueid.o uniqueidgen.o \
-	csngen.o utf8compare.o ntuserpin.o entrywsi.o valueset.o \
+	csngen.o utf8compare.o entrywsi.o valueset.o \
 	attrsyntax.o opshared.o add.o modify.o modrdn.o delete.o dl.o\
 	plugin_acl.o counters.o subentry.o object.o objset.o apibroker.o \
 	csn.o csnset.o slapd_plhash.o attrlist.o vattr.o bitset.o rdn.o \
 	mapping_tree.o backend_manager.o task.o resourcelimit.o \
 	bulk_import.o security_wrappers.o index_subsystem.o sasl_map.o
 
-ifeq ($(ARCH), AIX)
-ifeq ($(DEBUG), optimize)
-TEMP_CFLAGS = $(subst -O,,$(CFLAGS))
-$(OBJDEST)/vattr.o: vattr.c
-	$(CC) -o $(OBJDEST)/vattr.o -c $(TEMP_CFLAGS) $(MCC_INCLUDE) vattr.c
-endif
-endif
-ifeq ($(ARCH), WINNT)
-#find out why this isn't needed on UNIX
-DLL_LDFLAGS += $(NSPRLINK) /IMPLIB:$(LIBSLAPD)
-DLL_LDFLAGS += -def:"libslapd.def"
-LIBSLAPD_DEF = $(LDAP_SRC)/servers/slapd/libslapd.def
-SUBSYSTEM=windows
-
-LDAP_COMMON_EXTRALIBSLIST = libsi18n
-LDAP_COMMON_EXTRALIBS = $(addsuffix .$(LIB_SUFFIX), \
-	$(addprefix $(LDAP_LIBDIR)/, $(LDAP_COMMON_EXTRALIBSLIST)))
-LDAP_COMMON_LINK += libbase.$(LIB_SUFFIX)
-
-EXTRA_LIBS_DEP = $(SECURITY_DEP) $(NSPR_DEP) \
-	$(LDAP_COMMON_LIBS_DEP) $(LDAPSDK_DEP) \
-	$(LDAP_SDK_LIBSSLDAP_LIB_DEP) $(LIBLDAPU_DEP) $(_ldap_db_depend) \
-	$(SVRCORE_DEP) \
-	$(LDAP_COMMON_EXTRALIBS)
-
-EXTRA_LIBS += $(LDAPLINK) $(LIBSVRCORE) $(LIBSECURITY) $(LIBNSPR) \
-	$(LDAP_COMMON_LINK) \
-	$(LIBLDAPU) \
-	$(LDAP_COMMON_EXTRALIBS) 
-
-# JCM - Warnings as Errors!
-CFLAGS += /WX
-else
 LDFLAGS	= $(SSLLIBFLAG)
 EXTRA_LIBS_DEP	= $(SECURITY_DEP) \
 	$(NSPR_DEP) $(LDAPSDK_DEP) $(SVRCORE_DEP) \
@@ -129,16 +96,6 @@ EXTRA_LIBS = $(LDAP_LIBLITEKEY) -lavl -lldif \
 	$(SVRCORELINK) $(LDAPLINK) \
 	$(SECURITYLINK) $(NSPRLINK) \
 	$(ALIBS) $(DYNALIBS) $(THREADSLIB)
-endif
-ifeq ($(ARCH), AIX)
-LD=ld
-EXTRA_LIBS = $(LDAPLINK) $(SVRCORELINK) $(SECURITYLINK) $(NSPRLINK) \
-	$(LDAP_COMMON_LINK) \
-	$(LIBLDAPU) \
-	$(DYNALIBS) $(THREADSLIB) \
-	$(DLL_EXTRA_LIBS) \
-	$(LDAP_LIBLITEKEY)
-endif
 
 # Comment for the following comment:
 # Updating LDAP C SDK to V6.0 has introduced a new dependent library
@@ -164,11 +121,6 @@ LD=CC
 endif
 endif
 
-#ifeq ($(ARCH), OSF1)
-#DLL_LDFLAGS=-shared -all -error_unresolved -taso -ySVRCORE_RegisterPinObj
-#EXTRA_LIBS += -lc
-#endif
-
 OBJS = $(addprefix $(OBJDEST)/, $(LIBSLAPD_OBJS)) 
 ERRORMAP.O = $(addprefix $(OBJDEST)/, errormap.o) 
 
@@ -196,15 +148,7 @@ clean:
 $(ERRORMAP.O):	$(DIRVERDIR)/dberrstrs.h
 
 $(DIRVERDIR)/dberrstrs.h:	$(DB_INCLUDE)/db.h
-ifeq ($(ARCH), WINNT)
-	$(PERL) mkDBErrStrs.pl -nt -i $(DB_INCLUDE) -o $(DIRVERDIR)
-else
-	$(PERL) mkDBErrStrs.pl -i $(DB_INCLUDE) -o $(DIRVERDIR)
-endif
-
-ifeq ($(ARCH), WINNT)
-$(OBJS): $(OBJDEST)/%.o : %.c
-endif
+$(PERL) mkDBErrStrs.pl -i $(DB_INCLUDE) -o $(DIRVERDIR)
 
 # Target to push the built binary to an installed server
 LIBSLAPD_PUSH = $(addprefix $(INSTDIR)/, bin/slapd/server/libslapd.dll)
diff --git a/ldap/servers/slapd/localhost.c b/ldap/servers/slapd/localhost.c
index 38edb2f..e5bb64b 100644
--- a/ldap/servers/slapd/localhost.c
+++ b/ldap/servers/slapd/localhost.c
@@ -64,10 +64,6 @@
 #define _PATH_RESCONF "/etc/resolv.conf"
 #endif
 
-#if !defined(NO_DOMAINNAME) && defined(_WINDOWS)
-#define NO_DOMAINNAME 1
-#endif
-
 #if defined (__hpux)
 #if (MAXHOSTNAMELEN < 256)
 #   undef MAXHOSTNAMELEN
diff --git a/ldap/servers/slapd/main.c b/ldap/servers/slapd/main.c
index 28f6908..16de252 100644
--- a/ldap/servers/slapd/main.c
+++ b/ldap/servers/slapd/main.c
@@ -49,11 +49,7 @@
 #include <string.h>
 #include <sys/types.h>
 #include <sys/stat.h>
-#if !defined(aix)
 #include <sys/fcntl.h>
-#else
-#include <fcntl.h>
-#endif
 #include <time.h>
 #include <stdarg.h>
 #include <signal.h>
@@ -64,7 +60,7 @@
 #include <arpa/inet.h>
 #include <netdb.h>
 #include <pwd.h> /* getpwnam */
-#if !defined(IRIX) && !defined(LINUX)
+#if !defined(LINUX)
 union semun {
     int val;
     struct semid_ds *buf;
@@ -335,10 +331,8 @@ static int main_setuid(char *username)
 /* set good defaults for front-end config in referral mode */
 static void referral_set_defaults(void)
 {
-#if !defined(AIX)
     char errorbuf[SLAPI_DSE_RETURNTEXT_SIZE];
     config_set_maxdescriptors( CONFIG_MAXDESCRIPTORS_ATTRIBUTE, "1024", errorbuf, 1);
-#endif
 }
 
 static int
@@ -996,7 +990,6 @@ main( int argc, char **argv)
 		goto cleanup;
 	}
 
-
 	/*
 	 * Now it is safe to log our first startup message.  If we were to
 	 * log anything earlier than now it would appear on the admin startup
@@ -1161,7 +1154,7 @@ cleanup:
 	ndn_cache_destroy();
 	NSS_Shutdown();
 	PR_Cleanup();
-#if ( defined( hpux ) || defined( irix ) || defined( aix ) || defined( OSF1 ))
+#if defined( hpux )
 	exit( return_value );
 #else
 	return return_value;
@@ -1169,7 +1162,7 @@ cleanup:
 }
 
 
-#if ( defined( hpux ) || defined( irix ))
+#if defined( hpux )
 void 
 signal2sigaction( int s, void *a )
 {
@@ -1182,7 +1175,7 @@ signal2sigaction( int s, void *a )
     (void)sigaddset( &act.sa_mask, s );
     (void)sigaction( s, &act, NULL );
 }
-#endif /* hpux || irix */
+#endif /* hpux */
 
 static void
 register_objects()
@@ -1481,16 +1474,6 @@ process_command_line(int argc, char **argv, char *myname,
 		case 'D':	/* config dir */
 			configdir = rel2abspath( optarg_ext );
 
-#if defined( XP_WIN32 )
-			pszServerName = slapi_ch_malloc( MAX_SERVICE_NAME );
-			if( !SlapdGetServerNameFromCmdline(pszServerName, configdir, 1) )
-			{
-				MessageBox(GetDesktopWindow(), "Failed to get the Directory"
-					" Server name from the command-line argument.",
-					" ", MB_ICONEXCLAMATION | MB_OK);
-				exit( 1 );
-			}  
-#endif
 			if ( config_set_configdir( "configdir (-D)",
 					configdir, errorbuf, 1) != LDAP_SUCCESS ) {
 				fprintf( stderr, "%s: aborting now\n", errorbuf );
diff --git a/ldap/servers/slapd/passwd_extop.c b/ldap/servers/slapd/passwd_extop.c
index 9b76e6d..3c8852e 100644
--- a/ldap/servers/slapd/passwd_extop.c
+++ b/ldap/servers/slapd/passwd_extop.c
@@ -54,12 +54,10 @@
 #include <stdio.h>
 #include <string.h>
 #include <private/pprio.h>
-
-
 #include <prio.h>
 #include <plbase64.h>
-
 #include <ssl.h>
+#include <pk11pub.h>
 #include "slap.h"
 #include "slapi-plugin.h"
 #include "fe.h"
diff --git a/ldap/servers/slapd/proto-slap.h b/ldap/servers/slapd/proto-slap.h
index dd01999..486f589 100644
--- a/ldap/servers/slapd/proto-slap.h
+++ b/ldap/servers/slapd/proto-slap.h
@@ -414,11 +414,7 @@ int config_set_malloc_mxfast(const char *attrname, char *value, char *errorbuf,
 int config_set_malloc_trim_threshold(const char *attrname, char *value, char *errorbuf, int apply);
 int config_set_malloc_mmap_threshold(const char *attrname, char *value, char *errorbuf, int apply);
 #endif
-
-#if !defined(AIX)
 int config_set_maxdescriptors( const char *attrname, char *value, char *errorbuf, int apply );
-#endif /* !AIX */
-
 int config_set_localuser( const char *attrname, char *value, char *errorbuf, int apply );
 
 #ifdef MEMPOOL_EXPERIMENTAL
@@ -490,16 +486,12 @@ int config_get_schema_ignore_trailing_spaces();
 char *config_get_rootdn();
 char *config_get_rootpw();
 char *config_get_rootpwstoragescheme();
-#ifndef _WIN32
 char *config_get_localuser();
-#endif /* _WIN32 */
 char *config_get_workingdir();
 char *config_get_encryptionalias();
 int config_get_threadnumber();
 int config_get_maxthreadsperconn();
-#if !defined(_WIN32) && !defined(AIX)
 int config_get_maxdescriptors();
-#endif /* !_WIN32 && !AIX */
 int config_get_reservedescriptors();
 int config_get_ioblocktimeout();
 int config_get_idletimeout();
@@ -653,9 +645,7 @@ void do_delete( Slapi_PBlock *pb );
  */
 int detach( int slapd_exemode, int importexport_encrypt,
 			int s_port, daemon_ports_t *ports_info );
-#ifndef _WIN32
 void close_all_files( void );
-#endif
 void raise_process_limits( void );
 
 
@@ -830,9 +820,7 @@ void log__delete_rotated_logs();
  */
 void slapd_nasty(char* str, int c, int err);
 int strarray2str( char **a, char *buf, size_t buflen, int include_quotes );
-#ifndef _WIN32
 int slapd_chown_if_not_owner(const char *filename, uid_t uid, gid_t gid);
-#endif
 int slapd_comp_path(char *p0, char *p1);
 
 
@@ -1470,7 +1458,7 @@ void ns_connection_post_io_or_closing(Connection *conn);
 /*
  * main.c
  */
-#if ( defined( hpux ) || defined( irix ))
+#if defined( hpux )
 void signal2sigaction( int s, void *a );
 #endif
 int slapd_do_all_nss_ssl_init(int slapd_exemode, int importexport_encrypt,
diff --git a/ldap/servers/slapd/slap.h b/ldap/servers/slapd/slap.h
index 1ab8122..88b0082 100644
--- a/ldap/servers/slapd/slap.h
+++ b/ldap/servers/slapd/slap.h
@@ -200,7 +200,7 @@ typedef void	(*VFPV)(); /* takes undefined arguments */
 /*
  * call the appropriate signal() function.
  */
-#if ( defined( hpux ) || defined ( irix ))
+#if defined( hpux )
 /* 
  * we should not mix POSIX signal library function (sigaction)
  * with SYSV's (sigset) on IRIX.  nspr uses POSIX internally.
@@ -234,23 +234,13 @@ typedef void	(*VFPV)(); /* takes undefined arguments */
 #define LDAP_UNDEFINED (-1)
 
 #ifndef SLAPD_INVALID_SOCKET
-#ifdef _WIN32
 #define SLAPD_INVALID_SOCKET	0
-#else
-#define SLAPD_INVALID_SOCKET	0
-#endif
 #endif
 
 #define SLAPD_INVALID_SOCKET_INDEX	(-1)
 
-#ifdef _WIN32
-#define SLAPD_DEFAULT_FILE_MODE				S_IREAD | S_IWRITE
-#define SLAPD_DEFAULT_DIR_MODE  			0
-#else /* _WIN32 */
 #define SLAPD_DEFAULT_FILE_MODE				S_IRUSR | S_IWUSR
 #define SLAPD_DEFAULT_DIR_MODE				S_IRWXU
-#endif
-
 #define SLAPD_DEFAULT_ERRORLOG_LEVEL			16384
 #define SLAPD_DEFAULT_IDLE_TIMEOUT			0		/* seconds - 0 == never */
 #define SLAPD_DEFAULT_SIZELIMIT				2000	/* use -1 for no limit */
@@ -2000,9 +1990,7 @@ typedef struct _slapdEntryPoints {
 #define CONFIG_MINSSF_ATTRIBUTE "nsslapd-minssf"
 #define CONFIG_MINSSF_EXCLUDE_ROOTDSE "nsslapd-minssf-exclude-rootdse"
 #define CONFIG_VALIDATE_CERT_ATTRIBUTE "nsslapd-validate-cert"
-#ifndef _WIN32
 #define CONFIG_LOCALUSER_ATTRIBUTE "nsslapd-localuser"
-#endif /* !_WIN32 */
 #define CONFIG_LOCALHOST_ATTRIBUTE "nsslapd-localhost"
 #define CONFIG_PORT_ATTRIBUTE "nsslapd-port"
 #define CONFIG_WORKINGDIR_ATTRIBUTE "nsslapd-workingdir"
@@ -2027,9 +2015,7 @@ typedef struct _slapdEntryPoints {
 #define CONFIG_SECURELISTENHOST_ATTRIBUTE "nsslapd-securelistenhost"
 #define CONFIG_THREADNUMBER_ATTRIBUTE "nsslapd-threadnumber"
 #define CONFIG_MAXTHREADSPERCONN_ATTRIBUTE "nsslapd-maxthreadsperconn"
-#if !defined(_WIN32) && !defined(AIX)
 #define CONFIG_MAXDESCRIPTORS_ATTRIBUTE "nsslapd-maxdescriptors"
-#endif /* !_WIN32 && ! AIX */
 #define CONFIG_CONNTABLESIZE_ATTRIBUTE "nsslapd-conntablesize"
 #define CONFIG_RESERVEDESCRIPTORS_ATTRIBUTE "nsslapd-reservedescriptors"
 #define CONFIG_IDLETIMEOUT_ATTRIBUTE "nsslapd-idletimeout"
@@ -2199,9 +2185,7 @@ typedef struct _slapdFrontendConfig {
   int idletimeout;
   slapi_int_t ioblocktimeout;
   slapi_onoff_t lastmod;
-#if !defined(_WIN32) && !defined(AIX) 
   int maxdescriptors;
-#endif /* !_WIN32 && !AIX */
   int conntablesize;
   slapi_int_t maxthreadsperconn;
   int outbound_ldap_io_timeout;
@@ -2235,9 +2219,7 @@ typedef struct _slapdFrontendConfig {
   char *errorlog;
   char *listenhost;
   int snmp_index;
-#ifndef _WIN32
   char *localuser;
-#endif /* _WIN32 */
   char *localhost;
   char *rootdn;
   char *rootpw;
@@ -2459,13 +2441,9 @@ slapdFrontendConfig_t *getFrontendConfig();
 int slapd_bind_local_user(Connection *conn);
 
 /* LP: NO_TIME cannot be -1, it generates wrong GeneralizedTime
- * And causes some errors on AIX also 
+ * And causes some errors on AIX also
  */
-/* #if defined( XP_WIN32 ) */
 #define NO_TIME (time_t)0 /* cannot be -1, NT's localtime( -1 ) returns NULL */
-/* #else */
-/* #define NO_TIME (time_t)-1 / * a value that time() does not return  */
-/* #endif */
 #define NOT_FIRST_TIME (time_t)1 /* not the first logon */
 #define SLAPD_END_TIME (time_t)2147483647  /* (2^31)-1, in 2038 */
 
diff --git a/ldap/servers/slapd/slapi-plugin.h b/ldap/servers/slapd/slapi-plugin.h
index f003af3..3149cf3 100644
--- a/ldap/servers/slapd/slapi-plugin.h
+++ b/ldap/servers/slapd/slapi-plugin.h
@@ -718,24 +718,15 @@ typedef struct passwordpolicyarray	Slapi_PWPolicy;
 typedef void (*TaskCallbackFn)(Slapi_Task *task);
 
 /*
- * The default thread stacksize for nspr21 is 64k (except on IRIX!  It's 32k!).
+ * The default thread stacksize for nspr21 is 64k).
  * For OSF, we require a larger stacksize as actual storage allocation is
  * higher i.e pointers are allocated 8 bytes but lower 4 bytes are used.
  * The value 0 means use the default stacksize.
  *
- * larger stacksize (256KB) is needed on IRIX due to its 4KB BUFSIZ.
- * (@ pthread IRIX porting -- 01/11/99)
- *
  * HP-UX on PA-RISC uses 64KB default stack size.  Just set to 256K for all
  * HP-UX.
  */
-#if ( defined( irix ))
-#define SLAPD_DEFAULT_THREAD_STACKSIZE  262144L
-#elif ( defined ( OSF1 ))
-#define SLAPD_DEFAULT_THREAD_STACKSIZE  262144L
-#elif ( defined ( AIX ))
-#define SLAPD_DEFAULT_THREAD_STACKSIZE  262144L
-#elif ( defined ( hpux ))
+#if ( defined ( hpux ))
 #define SLAPD_DEFAULT_THREAD_STACKSIZE  262144L
 #else
 /* All other platforms use the default stack size */
diff --git a/ldap/servers/slapd/snmp_collator.c b/ldap/servers/slapd/snmp_collator.c
index 05a3afc..9bebfdd 100644
--- a/ldap/servers/slapd/snmp_collator.c
+++ b/ldap/servers/slapd/snmp_collator.c
@@ -98,17 +98,8 @@ static int hdl;
 
 /* collator stuff */
 static char *tmpstatsfile = AGT_STATS_FILE;
-#ifdef _WIN32
-static TCHAR szStatsFile[_MAX_PATH];
-static TCHAR szTempDir[_MAX_PATH];
-static HANDLE hParentProcess = NULL;
-static HANDLE hStatSlot = NULL;
-static HANDLE hLogFile = INVALID_HANDLE_VALUE;
-static TCHAR szSpoolRootDir[_MAX_PATH];
-#else
 static char szStatsFile[_MAX_PATH];
 static char stats_sem_name[_MAX_PATH];
-#endif /* _WIN32*/
 static Slapi_Eq_Context snmp_eq_ctx;
 static int snmp_collator_stopped = 0;
 
diff --git a/ldap/servers/slapd/ssl.c b/ldap/servers/slapd/ssl.c
index 233622a..b8fd084 100644
--- a/ldap/servers/slapd/ssl.c
+++ b/ldap/servers/slapd/ssl.c
@@ -1074,16 +1074,13 @@ slapd_nss_init(int init_ssl, int config_available)
 		   is writable */
 		if (PR_SUCCESS != PR_Access(certdir, PR_ACCESS_WRITE_OK)) {
 			char *serveruser = "unknown";
-#ifndef _WIN32
+
 			serveruser = config_get_localuser();
-#endif
 			slapi_log_error(SLAPI_LOG_FATAL, "SSL Initialization",
 				"Warning: The key/cert database directory [%s] is not writable by "
 				"the server uid [%s]: initialization likely to fail.\n",
 				certdir, serveruser);
-#ifndef _WIN32
 			slapi_ch_free_string(&serveruser);
-#endif
 		}
 	}
 
@@ -1155,58 +1152,20 @@ svrcore_setup()
 {
     PRErrorCode errorCode;
     int rv = 0;
-#ifndef _WIN32
     SVRCOREStdPinObj *StdPinObj;
-#else
-    SVRCOREFilePinObj *FilePinObj;
-    SVRCOREAltPinObj *AltPinObj;
-    SVRCORENTUserPinObj *NTUserPinObj;
-#endif
-#ifndef _WIN32
+
     StdPinObj = (SVRCOREStdPinObj *)SVRCORE_GetRegisteredPinObj();
     if (StdPinObj) {
-	return 0; /* already registered */
+        return 0; /* already registered */
     }
-    if ( SVRCORE_CreateStdPinObj(&StdPinObj, dongle_file_name, PR_TRUE) !=
-	SVRCORE_Success) {
+    if ( SVRCORE_CreateStdPinObj(&StdPinObj, dongle_file_name, PR_TRUE) != SVRCORE_Success) {
         errorCode = PR_GetError();
         slapd_SSL_warn("Security Initialization: Unable to create PinObj ("
 				SLAPI_COMPONENT_NAME_NSPR " error %d - %s)",
 				errorCode, slapd_pr_strerror(errorCode));
-	return -1;
-    }
-    SVRCORE_RegisterPinObj((SVRCOREPinObj *)StdPinObj);
-#else
-    AltPinObj = (SVRCOREAltPinObj *)SVRCORE_GetRegisteredPinObj();
-    if (AltPinObj) {
-	return 0; /* already registered */
-    }
-    if (SVRCORE_CreateFilePinObj(&FilePinObj, dongle_file_name) !=
-	SVRCORE_Success) {
-        errorCode = PR_GetError();
-	slapd_SSL_warn("Security Initialization: Unable to create FilePinObj ("
-				SLAPI_COMPONENT_NAME_NSPR " error %d - %s)",
-				errorCode, slapd_pr_strerror(errorCode));
-	return -1;
-    }
-    if (SVRCORE_CreateNTUserPinObj(&NTUserPinObj) != SVRCORE_Success){
-        errorCode = PR_GetError();
-        slapd_SSL_warn("Security Initialization: Unable to create NTUserPinObj ("
-				SLAPI_COMPONENT_NAME_NSPR " error %d - %s)",
-				errorCode, slapd_pr_strerror(errorCode));
         return -1;
     }
-    if (SVRCORE_CreateAltPinObj(&AltPinObj, (SVRCOREPinObj *)FilePinObj,
-	(SVRCOREPinObj *)NTUserPinObj) != SVRCORE_Success) {
-        errorCode = PR_GetError();
-        slapd_SSL_warn("Security Initialization: Unable to create AltPinObj ("
-				SLAPI_COMPONENT_NAME_NSPR " error %d - %s)",
-				errorCode, slapd_pr_strerror(errorCode));
-        return -1;
-    }
-    SVRCORE_RegisterPinObj((SVRCOREPinObj *)AltPinObj);
-
-#endif /* _WIN32 */
+    SVRCORE_RegisterPinObj((SVRCOREPinObj *)StdPinObj);
 
     return rv;
 }
@@ -1562,7 +1521,6 @@ slapd_ssl_init2(PRFileDesc **fd, int startTLS)
     int allowweakcipher = CIPHER_SET_DEFAULTWEAKCIPHER;
 
     /* turn off the PKCS11 pin interactive mode */
-#ifndef _WIN32
     SVRCOREStdPinObj *StdPinObj;
 
     if (svrcore_setup()) {
@@ -1571,8 +1529,6 @@ slapd_ssl_init2(PRFileDesc **fd, int startTLS)
 
     StdPinObj = (SVRCOREStdPinObj *)SVRCORE_GetRegisteredPinObj();
     SVRCORE_SetStdPinInteractive(StdPinObj, PR_FALSE);
-#endif
-
     errorbuf[0] = '\0';
 
     /*
diff --git a/ldap/servers/slapd/time.c b/ldap/servers/slapd/time.c
index 33a9e32..621847c 100644
--- a/ldap/servers/slapd/time.c
+++ b/ldap/servers/slapd/time.c
@@ -44,11 +44,7 @@
 
 #include <stdio.h>
 #include <sys/types.h>
-#ifdef AIX
-#include <time.h>
-#else
 #include <sys/time.h>
-#endif
 
 #include "slap.h"
 #include "fe.h"
